//---------------------------------------------------------------------------

#ifndef SaveToXlsThreadH
#define SaveToXlsThreadH
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
class SaveToXlsThread : public TThread
{            
private:
         //TListView * MyListView;
         int ListViewNum;
protected:
	void __fastcall Execute();
public:
	__fastcall SaveToXlsThread(bool CreateSuspended,int num);
        void __fastcall SaveExl();
        void __fastcall XlsBeginStream(TStream *XlsStream, const WORD BuildNumber);
        void __fastcall XlsEndStream(TStream *XlsStream);
        void __fastcall XlsWriteCellNumber(TStream *XlsStream, const WORD ACol,const WORD ARow, const double AValue);
        void __fastcall XlsWriteCellLabel(TStream *XlsStream, const WORD ACol,const WORD ARow, const AnsiString AValue);
        void __fastcall DivideData(AnsiString Tp,AnsiString TD[]);

        
};
//---------------------------------------------------------------------------
#endif
